Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class Event

    java.lang.Object
      com.huguesjohnson.tiamat.Event

All Implemented Interfaces:
  java.lang.Cloneable

    public class Event

extends java.lang.Object
implements java.lang.Cloneable

Event - An event triggered by the game or player.

Author:
  Hugues Johnson

Constructor Summary
`Event(java.lang.String action)` Create a new event with no parameters.
`Event(java.lang.String action, StringTable parameters)` Create a new event with no parameters.

Method Summary
`Event` | `clone()`
`java.lang.String` | `getAction()` Returns the action to perform.
`StringTable` | `getParameters()` Returns the parameters for the action.
`void` | `setAction(java.lang.String action)` Sets the action to perform.
`void` | `setParameters(StringTable parameters)` Sets the parameters for the action.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event(java.lang.String action)

  Create a new event with no parameters.

  Parameters:
    `action` - The action to perform.

### Event

    public Event(java.lang.String action,
                 StringTable parameters)

  Create a new event with no parameters.

  Parameters:
    `action` - The action to perform.

Method Detail

### getAction

    public java.lang.String getAction()

  Returns the action to perform. return The action to perform.

### setAction

    public void setAction(java.lang.String action)

  Sets the action to perform.

  Parameters:
    `action` - The action to perform.

### getParameters

    public StringTable getParameters()

  Returns the parameters for the action.

  Returns:
    A StringTable containing the parameters for the action.

### setParameters

    public void setParameters(StringTable parameters)

  Sets the parameters for the action.

  Parameters:
    `parameters` - The new parameters for the action.

### clone

    public Event clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson